Bug 1199783 - kdepim-runtime seems to lack kolab support
Summary: kdepim-runtime seems to lack kolab support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kdepim-runtime
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-08 10:04 UTC by Patrick C. F. Ernzer
Modified: 2020-01-09 10:37 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-09 10:37:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2015-03-08 10:04:13 UTC
Description of problem:
After setting up my private PC (F21) just fine with Kolab (the kolabnow.com hosted one to be precise), I fail to find Kolab in the akonadi 'add account' list of choices.

Version-Release number of selected component (if applicable):
kdepim-runtime-4.10.5-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. try to follow https://kolabnow.com/clients/kontact
2. fail to find a Kolab entry in the list of account types
3. pcfe@RHEL7 ~ $ rpm -ql kdepim-runtime | grep kolab
   pcfe@RHEL7 ~ $ rpm -q kdepim-runtime
   kdepim-runtime-4.10.5-3.el7.x86_64


Actual results:
akonadi_kolab_resource and friends are missing

Expected results:
Kolab backend supported by RHEL7 kdepim

Additional info:
On my Fedora 21 box
pcfe@F21 ~ $ rpm -ql kdepim-runtime|grep kolab
/usr/bin/akonadi_kolab_resource
/usr/bin/akonadi_kolabproxy_resource
/usr/share/akonadi/agents/kolabproxyresource.desktop
/usr/share/akonadi/agents/kolabresource.desktop
/usr/share/icons/hicolor/64x64/apps/kolab.png
/usr/share/kde4/apps/akonadi/accountwizard/kolab
/usr/share/kde4/apps/akonadi/accountwizard/kolab/kolabwizard.desktop
/usr/share/kde4/apps/akonadi/accountwizard/kolab/kolabwizard.es
/usr/share/kde4/apps/akonadi/accountwizard/kolab/kolabwizard.ui
/usr/share/kde4/apps/akonadi_kolabproxy_resource
/usr/share/kde4/apps/akonadi_kolabproxy_resource/akonadi_kolabproxy_resource.notifyrc
pcfe@F21 ~ $

Comment 2 Lukáš Tinkl 2015-03-09 17:55:52 UTC
Reassigning to our kdepim resident devel.

Comment 5 Daniel Vrátil 2015-06-07 14:26:31 UTC
To support Kolab we need to bring libkolabxml and libkolab libraries into RHEL.

Additionally we only have KOrganizer in RHEL, I have no idea how the Kolab resource would behave with the remaining components missing.

I think it would be easier in this case to get libkolab{,xml} to EPEL7, where we have the rest of KDE PIM and package the Kolab resource there separately.


Note You need to log in before you can comment on or make changes to this bug.